import { TransformationHandlerParams, PluginEstimationResult, PluginTransformationResult } from "upload-plugin-sdk";

export type TransformationHandler<TParams, TEstimation extends PluginEstimationResult> = (
  request: TransformationHandlerParams<TParams, TEstimation>
  // eslint-disable-next-line @typescript-eslint/no-invalid-void-type
) => Promise<void | Partial<PluginTransformationResult>>;
